
/**
 * Testovaci trida VariantaTest ... doplnte vlastni komentar
 *
 * @author     Luboš Pavlíček
 * @version    1.0, říjen 2006
 */
public class VariantaTest extends junit.framework.TestCase
{

    /**
     * Konstruktor umoznujici spustit definovany test.
     */
    public VariantaTest( String nazevTestu ) {
        super( nazevTestu );
    }


    /**
     * Vytvoreni pripravku (fixture), tj. sady objektu, s nimiz budou vsechny
     * testy pracovat a ktera se proto vytvori pred spustenim kazdeho testu.         
     */
    protected void setUp()
    {
    }


    /**
     * Uklid po testu - tato metoda se spusti po vykonani kazdeho testu.
     */
    protected void tearDown()
    {
    }
    
    /**
     * testuji základní metody třídy Varianta.
     */
    public void testVarianta () {
        Varianta varianta = new Varianta(TypTrojuhelnika.PRAVOUHLY_A_B, "Pravoúhlý trojúhelník, známy strany A a B", 
                "délka strany A", "délka strany B", null);
        assertEquals(TypTrojuhelnika.PRAVOUHLY_A_B, varianta.getTyp());
        assertEquals("Pravoúhlý trojúhelník, známy strany A a B",varianta.getPopis());
        assertEquals("délka strany A", varianta.getDotaz1());
        assertEquals("délka strany B", varianta.getDotaz2());
        assertNull(varianta.getDotaz3());
        assertEquals(2, varianta.getPocetParametru());
    }
}
